summaryrefslogtreecommitdiffstats
path: root/bootstrap-stage2-install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap-stage2-install.sh')
-rwxr-xr-xbootstrap-stage2-install.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/bootstrap-stage2-install.sh b/bootstrap-stage2-install.sh
index 819996d..e288bf8 100755
--- a/bootstrap-stage2-install.sh
+++ b/bootstrap-stage2-install.sh
@@ -64,6 +64,7 @@ clean_root()
case "${ARCH}" in
*-linux-*)
+ sudo umount dev/pts || true
sudo umount proc || true
sudo umount sys || true
sudo umount dev || true
@@ -160,6 +161,8 @@ setup_root()
sudo mount -t proc proc proc
sudo mount -t sysfs sys sys
sudo mount -o bind /dev dev
+ sudo mount -t devpts -o noexec,nosuid,gid=5,mode=0620 \
+ devpts dev/pts
;;
esac